| Home >> All >> org >> apache >> [ myfaces Javadoc ] |
Page 1 2
org.apache.myfaces: Javadoc index of package org.apache.myfaces.
Package Samples:
org.apache.myfaces.application
org.apache.myfaces.bug925693
org.apache.myfaces.cactus
org.apache.myfaces.config
org.apache.myfaces.application.jsp
org.apache.myfaces.component.html.ext
org.apache.myfaces.component.html.util
org.apache.myfaces.component
org.apache.myfaces.convert
org.apache.myfaces.custom.aliasbean
org.apache.myfaces.custom.buffer
org.apache.myfaces.custom.calendar
org.apache.myfaces.custom.checkbox
org.apache.myfaces.custom.collapsiblepanel
org.apache.myfaces.custom.creditcardvalidator
org.apache.myfaces.custom.crosstable
org.apache.myfaces.custom.datalist
org.apache.myfaces.custom.datascroller
org.apache.myfaces.custom.date
org.apache.myfaces.custom.div
Classes:
CommandButton: This control can by rendered as a graphical button(PDA) or item in menu(mobile phones). The final view is depend on client browser. This element must be a childern of UIForm component. Decode Behavior Obtain the Map from the "requestParameterMap" property of the ExternalContext. If the value in theMap for the value of the "clientId" property of the component is not null, get the value of the "type" attribute, and convert it to lower case. If the result is equal to the String "reset" (without the quotes), return fromdecode(). Otherwise, create ajavax.faces.event.ActionEvent around the component, ...
CommandLink: Render an WML "a" anchor element that acts like a form submit button when clicked. This element must be a childern of UIForm component. Decode Behavior Obtain the Map from the "requestParameterMap" property of the ExternalContext. If the value in theMap for the value of the "clientId" property of the component is not null, get the value of the "type" attribute, and convert it to lower case. If the result is equal to the String "reset" (without the quotes), return fromdecode(). Otherwise, create ajavax.faces.event.ActionEvent around the component, and pass it to the queueEvent() method of the component, ...
OutputLink: Render an WML "a" anchor element. The value of the component is rendered as the value of the "href" attribute. Any child UIParameter components are appended to the String to be output as the value of the "href" attribute as query parameters before rendering. The entire "href" string must be passed through a call to the encodeResourceURL() method of theExternalContext. The name of the UIParameter goes on the left hand side, and the value of the UIParameter on the right hand side. The name and the value must be URLEncoded. Each UIParameter instance is separeted by an ampersand, as dictated in the ...
BooleanConverter: Converter that translates between boolean values (true/false) and alternate versions of those boolean values like (yes/no), (1/0), and (way/no way). To customize the representation of a boolean true and false, use setTrueValue(String) 55 and setFalseValue(String) 55 respectively. If not configured with these setter methods, it defaults to true and false . The values are case sensitive.
User: This class is basically designed to simulate an application-specific bean that might exist in some application. The point here is to demonstrate how an application-specific bean such as this can be integrated into inputSuggest. The JSP page and the inputSuggest component know nothing about StateInfo or User. The UserHandler backing bean and the value binding expression in the JSP help bridge this gap.
StateInfo: This class is basically designed to simulate an application-specific bean that might exist in some application. The point here is to demonstrate how an application-specific bean such as this can be integrated into inputSuggest. The JSP page and the inputSuggest component know nothing about StateInfo or User . The UserHandler backing bean and the value binding expression in the JSP help bridge this gap.
UITreeData: TreeData is a javax.faces.component.UIComponent that supports binding data stored in a tree represented by a TreeNode instance. During iterative processing over the tree nodes in the data model, the object for the current node is exposed as a request attribute under the key specified by the var property. javax.faces.render.Renderer s of this component should use the appropriate facet to assist in rendering.
Message: Render a single message for a specific component. Set-up for Rendering Obtain the "summary" and "detail" properties fromUIMessage component. If not present, keep the empty string as the value, respectively. Obtain the firstFacesMessage to render from the component, using the "for" property of the UIMessage. This will be the only message we render. Rendering For the message renderer, we only render one row, for the first message. For the messages renderer, we render as many rows as we have messages.
Messages: Render a single message for a specific component. Set-up for Rendering Obtain the "summary" and "detail" properties fromUIMessage component. If not present, keep the empty string as the value, respectively. Obtain the firstFacesMessage to render from the component, using the "for" property of the UIMessage. This will be the only message we render. Rendering For the message renderer, we only render one row, for the first message. For the messages renderer, we render as many rows as we have messages.
BiLevelCacheMap: A bi-level cache based on HashMap for caching objects with minimal sychronization overhead. The limitation is that remove() is very expensive. Access to L1 map is not sychronized, to L2 map is synchronized. New values are first stored in L2. Once there have been more that a specified mumber of misses on L1, L1 and L2 maps are merged and the new map assigned to L1 and L2 cleared. IMPORTANT:entrySet(), keySet(), and values() return unmodifiable snapshot collections.
PanelGrid: Renders an WML table element. Required attribute is "column" what sets number of colums in the table. Render the "header" and a "footer" facet if present, as the first or last row of the table. Render the children based on the value of the "columns" attribute, creating a new row each time a "columns" worth of children have been rendered. Each child is rendered inside of a "td" element. If a child has "rendered==false" it is not rendered, and the column counter must not be incremented.
HtmlTree: Tree implementation based on javax.swing.JTree. The tree model is assigned by using a value binding named model and is not stored in view state. A hierarchy of HtmlTreeNode objects is used to represent the current expanded state of the tree. The root node is held as a faces named rootNode .
Form: Represents form element. Decode Behavior Obtain the Map from the "requestParameterMap" property of the ExternalContext. If the map contains an entry for the "clientId" of this UIForm component, call setSubmitted(true) on the form, otherwise callsetSubmitted(false) on the form. Encode Behavior Form element is not writed to the generated wml file. All input's data are posted by commandLink or commandButton elements. Encode end method assures writing state marker.
AliasBean: The aliasBean tag allows you to link a fictive bean to a real bean. Let's suppose you have a subform you use often but with different beans. The aliasBean allows you to design the subform with a fictive bean and to include it in all the pages where you use it. You just need to make an alias to the real bean named after the fictive bean before invoking the fictive bean. This making it possible to have a library of reusable generic subforms.
OutputText: If the "styleClass" attribute is present, render its value as the value of the "class" attribute. If the "escape" attribute is not present, or it is present and its value is "true" all angle brackets should be converted to the ampersand xx semicolon syntax when rendering the value of the "value" attribute as the value of the component. If the "escape" attribute is present and is "false" the value of the component should be rendered as text without escaping.
GraphicImage: Renders an WML "img" element. Render the value of the component as the value of the "src" attribute, after passing it to the getResourceURL() method of the ViewHandler for this application, and passing the result through the encodeResourceURL() method of theExternalContext. Render the value of the alt attribute as the value of the "alt" attribute. If the "styleClass" attribute is specified, render its value as the value of the "class" attribute.
ConvertBooleanTag: A tag that invokes the BooleanConverter and lets the developer specify the desired values for a boolean true or false. Example:
WelcomeFileFilter: Due to the manner in which the JSP / servlet lifecycle functions, it is not currently possible to specify default welcome files for a web application and map them to the MyFacesServlet. Normally they will be mapped to the default servlet for the JSP container. To offset this shortcoming, we utilize a servlet Filter which examines the URI of all incoming requests.
MyFacesObjectInputStream: Tried to deploy v0.4.2 on JBoss 3.2.1 and had a classloading problem again. The problem seemed to be with JspInfo, line 98. We are using an ObjectInputStream Class, which then cannot find the classes to deserialize the input stream. The solution appears to be to subclass ObjectInputStream (eg. CustomInputStream), and specify a different class-loading mechanism.
HtmlPanelStack: Manage a stack of JSF components and allow for one child component to be choosen for rendering. The behaviour is similar to the CardLayout of Java Swing. Property selectedPanel defines the id of the child to be rendered. If no child panel is selected or if the selected panel can not be found the first child is rendered.
RuntimeConfig: Holds all configuration information (from the faces-config xml files) that is needed later during runtime. The config information in this class is only available to the MyFaces core implementation classes (i.e. the myfaces source tree). See MyfacesConfig for config parameters that can be used for shared or component classes.
MyfacesConfig: Holds all configuration init parameters (from web.xml) that are independent from the core implementation. The parameters in this class are available to all shared, component and implementation classes. See RuntimeConfig for configuration infos that come from the faces-config files and are needed by the core implementation.
DataTable: Renders an WML table element. Render the "header" and a "footer" facet if is presented at least in one column. Header and footer is rendered as the first or the last row of the table. Each nested column element represents one column. Number of rows is determined by structure of value property.
LoadBundleTag: TODO: We should find a way to save loaded bundles in the state, because otherwise on the next request the bundle map will not be present before the render phase and value bindings that reference to the bundle will always log annoying "Variable 'xxx' could not be resolved" error messages.
DefaultViewSelector: Imlementations of this interface allow a JSF application to specify which JSF view will be selected when the incoming request does not provide a View Id. The implementation can optionally return null to revert to the default View Id specified in portlet.xml.
| Home | Contact Us | Privacy Policy | Terms of Service |